﻿CKEDITOR.editorConfig = function( config )
{
    //config.language = 'fr'; // cf source/core/lang.js pour la liste des langues possibles
    config.toolbar = 'PAELLOS';
    config.toolbar_PAELLOS = [
        { name: 'annulations', items : ['Undo','Redo'] },
        { name: 'presse-papier', items : ['Cut','Copy','Paste'] },
        { name: 'styles', items : ['Bold', 'Italic', 'Subscript', 'Superscript', 'RemoveFormat'] },
        { name: 'liens', items : ['Link', 'Unlink'] },
        { name: 'blocs', items : [ 'BulletedList', 'Table'] },
        { name: 'equations', items : ['SpecialChar', 'Equation' ] },
        { name: 'outils', items : ['Source'] }
    ];
    config.uiColor = '#E6F7FF';
    //config.enterMode = CKEDITOR.ENTER_BR;
    //config.shiftEnterMode = CKEDITOR.ENTER_BR;
    // remarque: ckeditor plante firefox quand on insère un charactère spécial après un br
    config.specialChars = [
        /*grec_majuscules*/
            "\u0393", "\u0394", "\u0398", "\u039B", "\u039E", "\u03A0", "\u03A3", "\u03A5", "\u03A6", "\u03A7",
            "\u03A8", "\u03A9",
        /* grec_minuscules */
            "\u03B1", "\u03B2", "\u03B3", "\u03B4", "\u03B5", "\u03B6", "\u03B7", "\u03B8",
            "\u03B9", "\u03BA", "\u03BB", "\u03BC", "\u03BD", "\u03BE", "\u03BF", "\u03C0", "\u03C1", "\u03C2", "\u03C3",
            "\u03C4", "\u03C5", "\u03C6", "\u03C7", "\u03C8", "\u03C9",
        /* grec_symboles */
            "\u03D1", "\u03D5", "\u03D6",
        /* maths */
            "\u00AC", "\u00B1", "\u00D7", "\u2113", "\u2102", "\u2115", "\u211A", "\u211D", "\u2124", "\u212B",
            "\u2190", "\u2192", "\u2194", "\u21D0", "\u21D2", "\u21D4",
            "\u2200", "\u2202", "\u2203", "\u2205", "\u2207", "\u2208", "\u2209", "\u2211",
            "\u221D", "\u221E",
            "\u2227", "\u2228", "\u2229", "\u222A", "\u222B", "\u223C", "\u2248", "\u2260", "\u2261", "\u2264", "\u2265", "\u2282",
        /* lettres maj. cursives */
            "\uD835\uDC9C", "\u212C", "\uD835\uDC9E", "\uD835\uDC9F", "\u2130", "\u2131", "\uD835\uDCA2", "\u210B",
            "\u2110", "\uD835\uDCA5", "\uD835\uDCA6", "\u2112", "\u2133", "\uD835\uDCA9", "\uD835\uDCAA",
            "\uD835\uDCAB", "\uD835\uDCAC", "\u211B", "\uD835\uDCAE", "\uD835\uDCAF", "\uD835\uDCB0",
            "\uD835\uDCB1", "\uD835\uDCB2", "\uD835\uDCB3", "\uD835\uDCB4", "\uD835\uDCB5"
        ];
    config.entities_latin = false;
    config.entities_greek = false;
    config.height = '25em';
    config.removeDialogTabs = 'tableProperties:advanced';
    config.undoStackSize = 50;
    config.removePlugins = 'adobeair,ajax,autogrow,bbcode,colorbutton,colordialog,div,docprops,elementspath,filebrowser,flash,font,forms,horizontalrule,iframe,image,justify,liststyle,pagebreak,placeholder,preview,print,save,scayt,showblocks,smiley,styles,stylescombo,stylesheetparser,tableresize,templates,uicolor,wsc,xml';
    config.disableObjectResizing = true;
    //config.resize_enabled = false;
    config.toolbarCanCollapse = false;
    config.extraPlugins = 'reponses,equation'; // devtools
    config.serveur_equations = editeur_reponses.serveur_equations; // doit se terminer par "equation="
    //config.forcePasteAsPlainText = true;
    // remarque: impossible de contrôler les drag&drop : http://dev.ckeditor.com/ticket/5473
    config.removeFormatTags = 'b,big,code,del,dfn,em,font,i,ins,kbd,q,samp,small,span,strike,strong,sub,sup,tt,u,var,h1,h2,h3,h4,h5,h6';
    config.disableNativeSpellChecker = false;
};
